function jso(val) {
	try {
		log_msg(JSON.stringify(val));
	} catch(ee) {
		alert(ee);
	}
}

//PARSE
function parseXml(xml) {
	var dom = null;
	if (window.DOMParser) {
		try {
			dom = (new DOMParser()).parseFromString(xml, "text/xml");
		} catch (e) {
			dom = null;
		}
	} else if (window.ActiveXObject) {
		try {
			dom = new ActiveXObject('Microsoft.XMLDOM');
			dom.async = false;
			if (!dom.loadXML(xml))// parse error ..

				window.alert(dom.parseError.reason + dom.parseError.srcText);
		} catch (e) {
			dom = null;
		}
	} else
		alert("cannot parse xml string!");
	return dom;
}

//=
//====verse===
function get_verse_noti_ids() {
	//var ids = [2, 3, 4, 5, 6, 7];
	var ids = [2];
	return ids;
}

function set_verse_noti(scope) {
	try {
		return;
		var verse_rem_selected = get_data_obj_real('verse_reminder_selected');
		if (is_empty(verse_rem_selected))
			return;
		if (!verse_rem_selected)
			return;
		var date_str = get_data_obj_real('verse_reminder_time');
		if (is_empty(date_str))
			return;
		cancel_verse_noti();
		var date1 = new Date(date_str);
		var ids = get_verse_noti_ids();

		var options_all = [];
		var date_this = new Date();
		date_this.setHours(date1.getHours());
		date_this.setMinutes(date1.getMinutes());
		var curr_date = new Date();
		if (curr_date < date_this)
			date_this.setDate(date_this.getDate() - 1);

		for (var i = 0; i < ids.length; i++) {

			var bb = Math.floor(Math.random() * (scope.appData.bible.b.length));
			var cc = Math.floor(Math.random() * (scope.appData.bible.b[bb].c.length));
			var vv = Math.floor(Math.random() * (scope.appData.bible.b[bb].c[cc].v.length));
			var title = scope.appData.bible.b[bb].name + ' ';
			title += scope.appData.bible.b[bb].c[cc].n + ":";
			title += scope.appData.bible.b[bb].c[cc].v[vv].n + "";
			msg = "\"";
			msg += scope.appData.bible.b[bb].c[cc].v[vv].text;
			msg += "\" - ";
			msg += title;

			var date_new = new Date();
			date_new.setDate(date_this.getDate() + (i + 1));

			var date_str1 = date_new.toString('dd-MMM-yyyy HH:mm');
			var date_new1 = new Date(date_str1);
			alert(date_new1);
			var this_option = {
				id : ids[i],
				at : date_new1,
				title : title,
				text : msg,
				every : 'week'
			};
			options_all.push(this_option);
			// window.plugin.notification.local.add(this_option);

		}

		if (options_all.length > 0) {
			//jso(options_all);
			cordova.plugins.notification.local.schedule(options_all);
		}
		cordova.plugins.notification.local.on("schedule", function(notification) {
			jso(notification);
		});
	} catch(ee) {
		alert(ee);
	}
}

function cancel_verse_noti() {
	try {
		var ids = get_verse_noti_ids();
		cordova.plugins.notification.local.cancel(ids, function() {
			//alert("done");
		});
	} catch(ee) {
		alert(ee);
	}
}

//====
function get_bible_data() {
	try {
		var items = [];
		var item = {};
		item.filename = "tamil.json";
		item.name = "பைபிள்";
		item.shortn = "பைபிள்";
		items.push(item);
		return items;
	} catch(ee) {
		alert(ee);
	}
}

function get_verse_text_bible(bible, book, chapter, verse) {
	var res = '';
	var b = 0;
	var c = 0;
	var v = 0;
	try {
		b = parseInt(book);
		c = parseInt(chapter);
		v = parseInt(verse);

		var msg = "";
		msg += "\"" + bible.b[b].c[c].v[v].text + "\"";
		msg += " - ";
		msg += bible.b[b].name;
		msg += " ";
		msg += bible.b[b].c[c].n;
		msg += ":";
		msg += bible.b[b].c[c].v[v].n;
		return msg;
	} catch(ee) {
		///log_msg('err11=' + ee + ',' + bible + ',' + book + ',' + chapter + ',' + verse);
		//jso(bible.b[b]);
	}
	return res;
}

function clone_obj(obj) {
	if (null == obj || "object" != typeof obj)
		return obj;
	var copy = obj.constructor();
	for (var attr in obj) {
		if (obj.hasOwnProperty(attr))
			copy[attr] = obj[attr];
	}
	return copy;
}

function shuffle(a) {
	var j, x, i;
	for ( i = a.length; i; i--) {
		j = Math.floor(Math.random() * i);
		x = a[i - 1];
		a[i - 1] = a[j];
		a[j] = x;
	}
	return a;
}

function get_mind_array() {
	var items = [];
	try {
		var item = {};
		var keys = ['happy', 'loneliness', 'lost', 'sad', 'hopeless', 'fear', 'depression', 'angry', 'pain', 'ignored', 'sick', 'discourage', 'guilty', 'blessed', 'love'];
		for (var i = 0; i < keys.length; i++) {
			item = {};
			item.key = keys[i];
			item.name = get_key(item.key);
			item.bg = item.key + ".jpg";
			items.push(item);
		}

	} catch(e) {
		log_msg(e);
	}
	return items;
}

function share_item1(item) {
	try {
		var msg = item.name + ": ";
		msg += "\n";
		//msg += item._desc.replace("*", "\n");
		var splt = item._desc.split('*');
		for (var i = 0; i < splt.length; i++) {
			msg += splt[i];
			if (i < splt.length - 1)
				msg += '\n';
		}
		msg += "\n";
		//msg += item._items.replace("*", "\n");
		splt = item._items.split('*');
		for (var i = 0; i < splt.length; i++) {
			msg += splt[i];
			if (i < splt.length - 1)
				msg += '\n';
		}
		msg += "\n";
		msg += "Download Mobile App " + get_key('app_name') + ' from ' + get_download_url_to_share() + ' ';
		window.plugins.socialsharing.share(msg);
	} catch(e) {
		log_msg(e);
	}
}

function share_screen(id) {
	try {
		var element = document.getElementById(id);
		var height_div = element.clientHeight * 1.25;
		var width_div = element.clientWidth * 1.25;
		html2canvas(element, {
			width : width_div,
			height : height_div,
			onrendered : function(canvas) {
				try {
					var context = canvas.getContext("2d");
					var x = 15;
					var y = canvas.height - 5;
					context.fillStyle = "#222";
					context.font = '8pt "AmaticSCBold"';
					context.textAlign = 'left';
					context.fillText("Created using AsTrue app", x, y);
					var imgDataUrl = canvas.toDataURL();
					window.plugins.socialsharing.share(null, get_key("app_name"), imgDataUrl, null);
				} catch(ee) {
					log_msg(ee);
				}
			}
		});
	} catch(e) {
		log_msg(e);
	}
}

function save_user_data(nickname, dob, http, scope) {
	set_data_real("nn", nickname);
	set_data_real("dob", dob);
	var zod = get_zod(dob);
	set_data_real("zod", zod);

	var url = "data/set.xml";
	http.get(url).then(function(resp) {
		try {
			var x2js = new X2JS();
			var jsonData = x2js.xml_str2json(resp.data);
			var this_arr = jsonData.loc.object;
			for (var i = 0; i < this_arr.length; i++) {
				if (this_arr[i]._type.toLowerCase() == zod.toLowerCase()) {
					set_data_obj_real("zod_my_data", this_arr[i]);
					if (scope.daily_initialize)
						scope.daily_initialize();
					break;
				}
			}
		} catch(e) {
			log_msg(e);
		}
	}, function(err) {
		alert_msg(get_key("http_error"), $ionicPopup);
	})
}

function get_zod(today) {
	var zodiacSign = "";
	try {
		//var today = new Date();
		var zod_signs = ["Capricorn", "Aquarius", "Pisces", "Aries", "Taurus", "Gemini", "Cancer", "Leo", "Virgo", "Libra", "Scorpio", "Sagittarius"];
		var day = today.getDate();
		var month = today.getMonth();
		switch(month) {
		case 0:
			{//January
				if (day < 20)
					zodiacSign = zod_signs[0];
				else
					zodiacSign = zod_signs[1];
			}
			break;
		case 1:
			{//February
				if (day < 19)
					zodiacSign = zod_signs[1];
				else
					zodiacSign = zod_signs[2];
			}
			break;
		case 2:
			{//March
				if (day < 21)
					zodiacSign = zod_signs[2];
				else
					zodiacSign = zod_signs[3];
			}
			break;
		case 3:
			{//April
				if (day < 20)
					zodiacSign = zod_signs[3];
				else
					zodiacSign = zod_signs[4];
			}
			break;
		case 4:
			{//May
				if (day < 21)
					zodiacSign = zod_signs[4];
				else
					zodiacSign = zod_signs[5];
			}
			break;
		case 5:
			{//June
				if (day < 21)
					zodiacSign = zod_signs[5];
				else
					zodiacSign = zod_signs[6];
			}
			break;
		case 6:
			{//July
				if (day < 23)
					zodiacSign = zod_signs[6];
				else
					zodiacSign = zod_signs[7];
			}
			break;
		case 7:
			{//August
				if (day < 23)
					zodiacSign = zod_signs[7];
				else
					zodiacSign = zod_signs[8];
			}
			break;
		case 8:
			{//September
				if (day < 23)
					zodiacSign = zod_signs[8];
				else
					zodiacSign = zod_signs[9];
			}
			break;
		case 9:
			{//October
				if (day < 23)
					zodiacSign = zod_signs[9];
				else
					zodiacSign = zod_signs[10];
			}
			break;
		case 10:
			{//November
				if (day < 22)
					zodiacSign = zod_signs[10];
				else
					zodiacSign = zod_signs[11];
			}
			break;
		case 11:
			{//December
				if (day < 22)
					zodiacSign = zod_signs[11];
				else
					zodiacSign = zod_signs[0];
			}
			break;
		}
	} catch(e) {
		log_msg(e);
	}
	return zodiacSign;
}

function get_app_download_url() {
	return get_download_url_to_share();
}

function get_deep_url_android() {
	return get_store_url();
}

function get_deep_url_ios() {
	return get_store_url();
}

function get_breaking_news_url() {
	return get_breakingnews_url();
}

function get_serv() {
	return get_server_url();
}

function get_support_email() {
	return get_support_emailid();
}

function get_app_name() {
	return get_appname();
}

function get_more_apps_url() {
	return get_moreapps_url();
}

function make_purchased(scope) {
	try {
		scope.appData.is_paid = true;
		set_data_obj_real('is_paid', true);
		remove_ad_mob();
	} catch(e) {
		log_msg(e);
	}
}

function remove_ad_mob() {
	try {
		if (!AdMob)
			return;
		AdMob.removeBanner();
		AdMob = null;
	} catch(e) {
		log_msg(e);
	}
}

function ad_mob() {
	try {
		var admobid = {};
		admobid.banner = get_admob_banner_key();
		admobid.interstitial = get_admob_insta_key();
		var is_test = !is_liveapp();

		if (AdMob) {
			AdMob.createBanner({
				adId : admobid.banner,
				position : AdMob.AD_POSITION.BOTTOM_CENTER,
				overlap : false, // banner will overlap webview
				autoShow : true,
				isTesting : is_test
			});
			AdMob.prepareInterstitial({
				adId : admobid.interstitial,
				autoShow : false
			});

		}
	} catch(e) {
		log_msg(e);
	}
}

function show_interstitial(scope) {
	try {
		if (scope.appData.is_paid)
			return;
		if (is_empty(scope.insta_count))
			scope.insta_count = 0;
		scope.insta_count++;
		if (scope.insta_count > 5) {
			scope.insta_count = 0;
			if (AdMob) {
				var admobid = {};
				admobid.interstitial = get_admob_insta_key();
				AdMob.showInterstitial();
				AdMob.prepareInterstitial({
					adId : admobid.interstitial,
					autoShow : false
				});
			}
		}
	} catch(e) {
		log_msg(e);
	}
}

//==
function add_to_fav_bible(item) {
	try {
		var favs = get_data_obj_real("favsbible");
		favs = set_arr(favs);
		if (is_fav_bible(item))
			return;
		favs.push(item);
		set_data_obj_real("favsbible", favs);
	} catch(ee) {
		log_msg(ee);
	}
}

function rem_from_fav_bible(item) {
	try {
		var favs = get_data_obj_real("favsbible");
		favs = set_arr(favs);
		if (!is_fav_bible(item))
			return;
		for (var i = 0; i < favs.length; i++) {
			if (favs[i].b == item.b && favs[i].c == item.c && favs[i].v == item.v) {
				favs.splice(i, 1);
				set_data_obj_real("favsbible", favs);
				return;
			}
		}
	} catch(ee) {
		log_msg(ee);
	}
}

function is_fav_bible(item) {
	var res = false;
	try {
		var favs = get_data_obj_real("favsbible");
		if (!is_empty(favs)) {
			for (var i = 0; i < favs.length; i++) {
				if (favs[i].b == item.b && favs[i].c == item.c && favs[i].v == item.v) {
					return true;
				}
			}
		}
	} catch(ee) {
		log_msg(ee);
	}
	return res;
}

//==
//-----
function add_to_fav(item) {
	try {
		var favs = get_data_obj_real("favs");
		favs = set_arr(favs);
		if (is_fav(item))
			return;
		favs.push(item);
		set_data_obj_real("favs", favs);
	} catch(ee) {
		log_msg(ee);
	}
}

function rem_from_fav(item) {
	try {
		var favs = get_data_obj_real("favs");
		favs = set_arr(favs);
		if (!is_fav(item))
			return;
		for (var i = 0; i < favs.length; i++) {
			if (favs[i]._id == item._id) {
				favs.splice(i, 1);
				set_data_obj_real("favs", favs);
				return;
			}
		}
	} catch(ee) {
		log_msg(ee);
	}
}

function is_fav(item) {
	var res = false;
	try {
		var favs = get_data_obj_real("favs");
		if (!is_empty(favs)) {
			for (var i = 0; i < favs.length; i++) {
				if (favs[i]._id == item._id) {
					return true;
				}
			}
		}
	} catch(ee) {
		log_msg(ee);
	}
	return res;
}

//--
function share_code_bible(msg) {
	try {
		if (device.platform.toLowerCase() == 'ios') {
			var targetRect = event.target.getBoundingClientRect(), targetBounds = targetRect.left + ',' + targetRect.top + ',' + targetRect.width + ',' + targetRect.height;
			window.plugins.socialsharing.setIPadPopupCoordinates(targetBounds);
		}
		window.plugins.socialsharing.share(msg);
	} catch(ee) {
		log_msg(ee);
	}
}

function sortJsonArrayByProperty(objArray, prop, direction) {
	if (arguments.length < 2)
		throw new Error("sortJsonArrayByProp requires 2 arguments");
	var direct = arguments.length > 2 ? arguments[2] : 1;
	//Default to ascending

	if (objArray && objArray.constructor === Array) {
		var propPath = (prop.constructor === Array) ? prop : prop.split(".");
		objArray.sort(function(a, b) {
			for (var p in propPath) {
				if (a[propPath[p]] && b[propPath[p]]) {
					a = a[propPath[p]];
					b = b[propPath[p]];
				}
			}
			// convert numeric strings to integers
			a = a.match(/^\d+$/) ? +a : a;
			b = b.match(/^\d+$/) ? +b : b;
			return ((a < b) ? -1 * direct : ((a > b) ? 1 * direct : 0) );
		});
	}
}

function set_gps_pos() {
	try {
		var gpsid1 = get_obj("gpsid");
		if (!is_empty(gpsid1)) {
			try {
				navigator.geolocation.clearWatch(gpsid1);
				set_obj("curr_pos", null);
			} catch(ee) {
				set_obj("curr_pos", null);
			}
		}
		gpsid1 = navigator.geolocation.watchPosition(function(pos) {
			var devname = get_dev();
			if (devname == "ios") {
				if (pos.coords.altitudeAccuracy == -1) {
					pos = null;
				}
				if (pos.coords.altitudeAccuracy == null) {
					pos = null;
				}
			} else if (devname == "android") {
				if (pos.coords.accuracy == -1) {
					pos = null;
				}
				if (pos.coords.accuracy == null) {
					pos = null;
				}
			}
			set_obj("curr_pos", pos);
			//alert('got loc:' + JSON.stringify(pos));
		}, function(err) {
			set_obj("curr_pos", null);
			log_msg(JSON.stringify(err));
		}, {
			enableHighAccuracy : true
		});
		set_obj("gpsid", gpsid1);
	} catch(e) {
		log_msg(e);
	}
}

function set_ext_data(http) {
	try {
		set_data("isext", "Y");
		var url = get_serv() + "news/" + get_appkey() + "/set.xml";
		http.get(url).then(function(resp) {
			try {
				var x2js = new X2JS();
				var jsonData = x2js.xml_str2json(resp.data);
				var this_arr = jsonData.loc.object;
				set_data("isext", this_arr._isext);
			} catch(e) {
				log_msg(e);
			}
		}, function(err) {
			alert_msg(get_key("http_error"), $ionicPopup);
		})
	} catch(e) {
		log_msg(e);
	}
}

function get_wiki_url() {

	return "https://en.wikipedia.org/wiki/Oman";
}

function open_browser(url) {
	try {
		window.open(url, '_blank', 'location=no');
		//window.open(url, '_blank');
	} catch(e) {
		log_msg(e);
	}
}

function open_browser_opt(url, is_ext) {
	try {
		if (is_ext == "Y")
			open_browser_ext(url);
		else
			window.open(url, '_blank', 'location=no');
	} catch(e) {
		log_msg(e);
	}
}

function open_browser_ext(url) {
	window.open(url, '_system');
}

function set_sub2_item(item) {
	try {
		item.distance = "";
		if (!is_empty(item._latlon)) {
			var pos1 = get_obj("curr_pos");
			if (!is_empty(pos1)) {
				var lat1 = pos1.coords.latitude.toString();
				var lon1 = pos1.coords.longitude.toString();
				var lat2 = item._latlon.split(',')[0];
				var lon2 = item._latlon.split(',')[1];
				if (lat2 != "0" && lon2 != "0") {
					var dist = distance_gps(lat1, lon1, lat2, lon2);
					item.distance = dist + " KM";
					item.distance_int = parseFloat(dist);
				} else {
					item.distance = "";
					item.distance_int = null;
				}
			}
		} else
			item._latlon = "";
		item.main_pics = [];
		if (!is_empty(item._mainpic)) {
			item.main_pics = item._mainpic.split(',');
		} else
			item._mainpic = "";
		item.pnone_nums = [];
		if (!is_empty(item._phone)) { {
				if (is_contains(item._phone, ',')) {
					item.pnone_nums = item._phone.split(',');
				} else if (is_contains(item._phone, '/')) {
					item.pnone_nums = item._phone.split('/');
				} else {
					item.pnone_nums = [];
					item.pnone_nums.push(item._phone);
				}
			}
		} else
			item._phone = "";
		item.bookmarked = is_bookmarked(item);
	} catch(e) {
		log_msg(e);
	}
	return item;
}

function is_bookmarked(item) {
	var objs = get_data_obj_real("bookmarks");
	if (is_empty(objs))
		objs = [];
	for (var i = 0; i < objs.length; i++) {
		if (objs[i]._idsubsec == item._idsubsec) {
			return true;
		}
	}
	return false;
}

function bookmark(item, need_bm) {
	try {
		var objs = get_data_obj_real("bookmarks");
		if (is_empty(objs))
			objs = [];
		if (need_bm) {
			var got = false;
			for (var i = 0; i < objs.length; i++) {
				if (objs[i]._idsubsec == item._idsubsec) {
					objs[i] = item;
					got = true;
					break;
				}
			}
			if (!got) {
				objs.push(item);
			}
			set_data_obj_real("bookmarks", objs);
		} else {
			var obj_new = [];
			for (var i = 0; i < objs.length; i++) {
				if (objs[i]._idsubsec != item._idsubsec) {
					obj_new.push(objs[i]);
				}
			}
			set_data_obj_real("bookmarks", obj_new);
		}
		return true;
	} catch(e) {
		log_msg(e);
	}
	return false;
}

//--
function change_current_airport(scope) {
	var curr_sp = get_current_airport_name();
	if (curr_sp == 'Muscat Airports') {
		set_current_airport_name('Salalah Airports');
		set_current_airport_name_key('salalah');
		set_current_airport_name_key1('SLL');
	} else {
		set_current_airport_name('Muscat Airports');
		set_current_airport_name_key('muscat');
		set_current_airport_name_key1('MCT');
	}
	set_current_airport(scope);
}

function distance_gps(lat11, lon11, lat22, lon22) {
	var unit = "K";
	var dist = 0.0;
	try {
		var lat1 = parseFloat(lat11);
		var lon1 = parseFloat(lon11);
		var lat2 = parseFloat(lat22);
		var lon2 = parseFloat(lon22);

		var radlat1 = Math.PI * lat1 / 180;
		var radlat2 = Math.PI * lat2 / 180;
		var radlon1 = Math.PI * lon1 / 180;
		var radlon2 = Math.PI * lon2 / 180;
		var theta = lon1 - lon2;
		var radtheta = Math.PI * theta / 180;
		dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
		dist = Math.acos(dist);
		dist = dist * 180 / Math.PI;
		dist = dist * 60 * 1.1515;
		if (unit == "K") {
			dist = dist * 1.609344;
		}
		if (unit == "N") {
			dist = dist * 0.8684;
		}
	} catch(e) {
		alert(e);
	}
	return dist.toFixed(2);
}

function get_status_color(item) {
	if (!item)
		return item;
	if (item.StatusEn.toLowerCase() == 'delayed')
		item.status_color = "#F44336";
	else if (item.StatusEn.toLowerCase() == 'arrived')
		item.status_color = "#4CAF50";
	else if (item.StatusEn.toLowerCase() == 'boarding')
		item.status_color = "#4CAF50";
	else if (item.StatusEn.toLowerCase() == 'cancelled')
		item.status_color = "#F44336";
	else if (item.StatusEn.toLowerCase() == 'departed')
		item.status_color = "#0D47A1";
	else if (item.StatusEn.toLowerCase() == 'early')
		item.status_color = "#FF6D00";
	else if (item.StatusEn.toLowerCase() == 'gate open')
		item.status_color = "#4CAF50";
	else if (item.StatusEn.toLowerCase() == 'last call')
		item.status_color = "#FF6D00";
	else if (item.StatusEn.toLowerCase() == 'on time')
		item.status_color = "#757575";
	return item;
}

function delete_parkinglot(id) {
	if (is_empty(id))
		return;
	var locs = get_data_obj_real("locs");
	if (is_empty(locs))
		return;
	for (var i = 0; i < locs.length; i++) {
		if (locs[i].id == id) {
			locs.splice(i, 1);
			set_data_obj_real("locs", locs);
			return;
		}
	}
}

function get_max_lo_ic() {
	var id = 1;
	var locs = get_data_obj_real("locs");
	if (is_empty(locs))
		return id;
	for (var i = 0; i < locs.length; i++) {
		var thisid = parseInt(locs[i].id);
		if (thisid >= id)
			id = thisid + 1;
	}
	return id.toString();
}

function is_contains(str, val) {
	if (str.indexOf(val) > -1)
		return true;
	else
		return false;
}

function is_exist_in_array(ar, val) {
	for (var i = 0; i < ar.length; i++) {
		if (ar[i] == val)
			return true;
	}
	return false;
}

function set_current_airport(scope) {
	try {
		var curr_sp = get_current_airport_name();
		if (curr_sp == 'Muscat Airports') {
			scope.appData.current_airport_name = get_key('airport_name_muscat');
			scope.appData.current_airport_name_key = "muscat";
			scope.appData.current_airport_name_key1 = "MCT";
			scope.appData.next_airport_name = get_key('change_to_airport_name_salalah');
			scope.appData.next_airport_name_place = get_key('change_to_airport_name_salalah_place');
		} else {
			scope.appData.current_airport_name = get_key('airport_name_salalah');
			scope.appData.current_airport_name_key = "salalah";
			scope.appData.current_airport_name_key1 = "SLL";
			scope.appData.next_airport_name = get_key('change_to_airport_name_muscat');
			scope.appData.next_airport_name_place = get_key('change_to_airport_name_muscat_place');
		}
	} catch(e) {
		log_msg(e);
	}
}

function get_current_airport_name_lang() {
	var curr = get_current_airport_name();
	if (curr == 'Muscat Airports') {
		curr = get_key('airport_name_muscat');
	} else {
		curr = get_key('airport_name_salalah');
	}
	return curr;
}

function set_weather_icon(obj) {
	if (!obj.data.query.results.channel.item)
		return;
	var desc = obj.data.query.results.channel.item.description;
	var split = desc.split('img src="');
	split = split[1].split('.gif');
	var img = split[0] + '.gif';
	obj.weathericon = img;
	return obj;
}

function get_current_airport_nameshort_lang() {
	var curr = get_current_airport_name();
	if (curr == 'Muscat Airports') {
		curr = get_key('change_to_airport_name_salalah_place');
	} else {
		curr = get_key('change_to_airport_name_muscat_place');
	}
	return curr;
}

function get_current_airport_name() {
	var curr = get_data_real('current_airport');
	if (is_empty(curr))
		curr = 'Muscat Airports';
	return curr;
}

function set_current_airport_name(ap) {
	set_data_real('current_airport', ap);
}

function get_current_airport_name_key() {
	var curr = get_data_real('current_airport_key');
	if (is_empty(curr))
		curr = 'muscat';
	return curr;
}

function get_current_airport_name_key1() {
	var curr = get_data_real('current_airport_key1');
	if (is_empty(curr))
		curr = 'MCT';
	return curr;
}

function get_dev() {
	try {
		var version_text = device.platform.toLowerCase();
		if (version_text == 'ios')
			return "ios";
		else if (version_text == 'android')
			return "android";
		else
			return version_text;
	} catch(e) {
		log_msg(e);
	}
}

function set_current_airport_name_key(ap) {
	set_data_real('current_airport_key', ap);
}

function set_current_airport_name_key1(ap) {
	set_data_real('current_airport_key1', ap);
}

//------------
function alert_msg(msg, ionicPopup1) {
	if (is_empty(translate_object))
		alert_with_title(msg, 'Alert', ionicPopup1);
	else {
		if (translate_object)
			alert_with_title(msg, get_key('msg_title'), ionicPopup1);
		else
			alert_with_title(msg, "Alert", ionicPopup1);
	}
}

function set_arr(this_arr) {
	if (this_arr == "") {
		var arr = [];
		//	arr.push(this_arr);
		this_arr = arr;
	} else if (this_arr && !this_arr.length) {
		var arr = [];
		if (this_arr._id)
			arr.push(this_arr);
		//arr.push(this_arr);
		this_arr = arr;

	}
	return this_arr;

}

function log_msg(msg, ionicPopup1) {
	if (!is_live())//vintest
	{
		if ( typeof msg === 'string')
			alert_with_title(msg, "[TEST] - Alert", ionicPopup1);
		else
			jso(msg);
	}

}

function alert_with_title(msg, title, ionicPopup1) {
	try {
		if (is_empty(ionicPopup1)) {
			if (is_empty(navigator.notification)) {
				alert(msg);
			} else {
				alert(msg);
			}
		} else {
			var title_str = "OK";
			if (translate_object)
				title_str = get_key('msg_button');
			ionicPopup1.alert({
				title : title,
				template : msg,
				buttons : [{
					text : title_str,
					type : 'button-positive'
				}]
			});
		}
	} catch(ee) {
		alert(ee + '(' + msg + ')');
	}
}

function is_empty(data) {
	if (data == null) {
		return true;
	}
	if ( typeof data == 'undefined') {
		return true;
	}
	if (data == '') {
		return true;
	}
	if (data.toString().trim() === '') {
		return true;
	}
	if (data.toString().trim().length === 0) {
		return true;
	}
	if (data.toString().trim().length === 1) {
		if (data.toString().charCodeAt(0) == 65528) {
			return true;
		}
	}
	return false;
}
