function encrypt(val) {
	var enval_out = "";
	try {
		if (is_empty(val))
			return '';
		var val1 = val.toString();
		var encrypted = CryptoJS.AES.encrypt(val1, compass).toString();
		var enval = CryptoJS.HmacSHA256(encrypted, CryptoJS.SHA256(compass)).toString() + encrypted;
		enval_out = encrypt_str(enval);
	} catch(e) {
		log_msg("encrypt:" + e.message + "(val=" + val + ")");
	}
	return enval_out;
}

function decrypt(val) {
	var deval_out = "";
	try {
		if (is_empty(val))
			return '';
		var val1 = val.toString();
		val1 = decrypt_str(val1);

		var transitencrypted = val1.substring(64);
		var decrypted = CryptoJS.AES.decrypt(transitencrypted, compass).toString(CryptoJS.enc.Utf8);
		var deval_out = decrypted.toString(CryptoJS.enc.Utf8);
	} catch (e) {
		log_msg("decrypt:" + e.message + "(val=" + val + ")");
	}
	return deval_out;
}

function encode_data(str) {
	return escape(str);
}

function decode_data(str) {
	return unescape(str);
}

function encrypt_str(str) {
	if (str == null)
		return "";
	return encode_data(str);
	var htext = "";
	for (var i = 0; i < str.length; i++) {
		if (htext.length > 0)
			htext += ".";
		htext = htext + String.fromCharCode(str.charCodeAt(i) + 10 - 1 * 2).toString().charCodeAt(0);
	}
	return htext;
}

function decrypt_str(str) {
	if (str == null)
		return "";
	return decode_data(str);
	var splited = str.split('.');
	var htext = "";
	for (var i = 0; i < splited.length; i++) {
		htext = htext + String.fromCharCode(String.fromCharCode(parseInt(splited[i])).charCodeAt(0) - 10 + 1 * 2).toString();
	}
	return htext;
}