function start_localization(transProvider) {
	try {
		transProvider.translations('en', {
			app_name : "Tamil Bible",
			menu_home : "Home",
			menu_home_short : "Home",
			search_note : "Enter Search Text",
			no_data : "No Data Available",
			pull_to_refresh : "Pull to refresh...",
			search_res_for : "Search Result For",
			website : "Websites",
			share : "Share",
			contact_us : "Contact Us",
			comment : "Write Your Comment Below",
			pls_comment : "Please write your comment",
			send : "Send",
			about_us : "About Us",
			menu_more_apps : "More Apps",
			menu_more_apps_short : "More",
			menu_shareapp : "Share This App",
			menu_shareapp_short : "Share App",
			loading : "Loading...",
			msg_title : "Alert",
			msg_button : "OK",
			http_error : "Failed to collect data. Please check internet connection or try later",
			close : "Close",
			tell_your_friend : "Enjoyed our App? Tell your friend about this app.",
			not_now : "NOT NOW",
			tell : "TELL",
			tell_a_friend_title : "Tell A Friend",
			rate_content : "If you love our app, please take a moment to rate it.",
			rate_our_app : "Rate Our App",
			rate_now : "Rate",
			more_apps_promo : "Enjoyed our App? We have more usefull apps for you",
			view_apps_promo : "VIEW APPS",
			more_apps_title_promo : "More Apps",
			review : "Review",
			whats_on_your_mind : "What's on your mind?",

			bible : "Bible",
			read_bible : "Read Bible",
			read_bible_verses : "Read Verses",
			bible_verses : "Bible Verses",

			happy : "Happy",
			loneliness : "Loneliness",
			lost : "Lost",
			sad : "Sad",
			hopeless : "Hopeless",
			fear : "Fear",
			depression : "Depression",
			angry : "Angry",
			pain : "Pain",
			ignored : "Ignored",
			sick : "Sick",
			discourage : "Discourage",
			guilty : "Guilty",
			blessed : "Blessed",
			love : "Love",

			say : "Say Me",
			direct : "Direct Me",
			filter : "Filter",
			touch_help : "Touch his hand, pray well and release. And read what he says you!",

			book : "Book",
			chapter : "Chapter",
			menu_favorite : "Favorite",
			favorite_no_data : "No items in Favorite list. To add Verses to Favorite; in other forms, press on the Favorite button(Star button) below the Verse.",
			enter_search : "Enter search word here",
			search : "Search",
			settings : "Settings",
			translation : "Translation",
			verse_reminder : "Verse Reminder",
			time : "Time",
			save : "Save",
			enter_noti_time : "Please enter Time",
			saved : "Saved",
			get_full_v : "Get Full Version",
			get_full_v : "Get Full Version",
			unlock : "Unlock",
			unlock_desc : "Get Full Version with no limitations and advertisement. abcdefg",
			get_now : "Get Now",
			later : "Later",
			failed_inapp : "Failed to purchase now. Please try later or contact the App Developer(User Menu/Contact Us option)",
			success_purchase : 'Thank you! Please close and open the Application',
			pur_rest_succ : "Your Purchase is restored",
			pur_rest_fail : "Done. You have not purchased the Application",
			restore_purchase : "Restore Purchase",
			get_full_ver : "Get Full Version",
			remove_ad : "Remove Ad",
			languagename : "Language",
		});

		transProvider.translations('ar', {
			app_name : "பைபிள்",
			menu_home : "முகப்பு",
			menu_home_short : "முகப்பு",
			search_note : "தேடல் உரை நுழைய",
			no_data : "தரவு கிடைக்கவில்லை",
			pull_to_refresh : "புதுப்பித்து இழுக்க",
			search_res_for : "தேடல் முடிவுகள்",
			website : "வலைத்தளங்கள்",
			share : "பங்கு",
			contact_us : "எங்களை தொடர்புகொள்ளவும்",
			comment : "கீழே உங்கள் கருத்துக்களை எழுதலாம்",
			pls_comment : "உங்கள் கருத்துக்களை எழுதவும்",
			send : "அனுப்புவது",
			about_us : "எங்களைப்பற்றி",
			menu_more_apps : "மேலும் பயன்பாடுகள்",
			menu_more_apps_short : "மேலும்",
			menu_shareapp : "இந்த பயன்பாட்டை பகிரவும்",
			menu_shareapp_short : "பயன்பாட்டை பங்குசெய்யவும்",

			loading : "ஏற்றப்படுகிறது",
			msg_title : "எச்சரிக்கை",
			msg_button : "சரி",
			http_error : "தரவுகளை சேகரிக்க முடியவில்லை. இணைய இணைப்பை சரிபார்த்து பின்னர் முயற்சி செய்யவும்.",
			close : "வெளியேறவும்",
			tell_your_friend : "எங்கள் பயன்பாட்டை அனுபவித்தீர்களா?.இந்த பயன்பாட்டை பற்றி உங்கள் நண்பரிடம் சொல்லுங்கள்.",
			not_now : "இப்போது இல்லை",
			tell : "சொல்லுங்கள்",

			tell_a_friend_title : "நண்பர்களிடம் கூறுங்கள்",
			rate_content : "நீங்கள் எங்கள் பயன்பாட்டை விரும்புவதென்றால்,சிறிதுநேரம் எடுத்து மதிப்பிடவும்",
			rate_our_app : "எங்கள் பயன்பாட்டை மதிப்பிடவும்",
			rate_now : "மதிப்பிடவும்",
			more_apps_promo : "எங்கள் பயன்பாட்டை அனுபவித்தீர்களா?. நாங்கள் உங்களுக்கு மிகவும் பயனுள்ளதாக மேலும் பல பயன்பாடுகளை ஏற்படுத்தி உள்ளோம்.",
			view_apps_promo : "பயன்பாடுகள் பார்வைக்காக",

			more_apps_title_promo : "மேலும் பயன்பாடுகள்",
			review : "விமர்சனம்",
			whats_on_your_mind : "உங்கள் மனதில் என்ன இருக்கிறது?",
			bible : "பைபிள்",
			read_bible : "பைபிள் படிக்க",
			read_bible_verses : "வசனங்கள் படிக்க",
			bible_verses : "பைபிள் வசனங்கள்",
			happy : "சந்தோஷமாக",
			loneliness : "தனிமை",
			lost : "இழந்த",
			sad : "இழந்த",
			hopeless : "நம்பிக்கையற்ற",

			fear : "பயம்",
			depression : "மன அழுத்தம்",
			angry : "கோபம்",
			pain : "வலி",
			ignored : "அலட்சியம்",
			sick : "உடல் நலமில்லை",
			discourage : "ஊக்கம்",
			guilty : "குற்றவாளி",
			blessed : "ஆசீர்வதிப்பார்",
			love : "அன்பு",
			say : "என்னிடத்தில் சொல்",
			direct : "எனக்கு வழிகாட்டினார்கள்",
			filter : "வடிகட்டி",
			touch_help : "இந்த கையை தொட்டு நன்கு பிரார்த்தனை செய்து விட்டு வெளியேறு. மற்றும் அவர் என்ன சொல்ல வருகிறார்.",
			book : "புத்தகம்",
			chapter : "அத்தியாயம்",
			menu_favorite : "பிடித்தமானது",
			favorite_no_data : "பிடித்த பட்டியலில் பொருட்கள் இல்லை . மற்ற வடிவங்களில் உள்ள வசனங்களை சேர்க்க கீழே உள்ள பிடித்த பொத்தானை அழுத்தவும்.",
			enter_search : "இங்கே தேடல் சொல்லை உள்ளிடவும்",
			search : "தேடல்",
			settings : "அமைப்புகள்",
			translation : "மொழிபெயர்ப்பு",
			verse_reminder : "எஞ்சிய வசனம்",
			time : "நேரம்",
			save : "சேமிக்க",
			enter_noti_time : "தயவு செய்து நேரத்தை உள்ளிடவும்",
			saved : "சேமிக்கப்படும்",
			get_full_v : "முழு பதிப்பு கிடைக்கும்",
			get_full_v : "முழு பதிப்பு கிடைக்கும்",
			unlock : "திறக்க",
			unlock_desc : "Get Full Version with no limitations and advertisement. abcdefg",
			get_now : "Get Now",
			later : "Later",
			failed_inapp : "இப்போது வாங்க முடியவில்லை. பிறகு முயலவும் அல்லதுbபயன்பாடு டெவலப்பரை தொடர்பு கொள்ளவும்.   ( பயனர் மெனு / எங்களை தொடர்பு விருப்பத்தை )",
			success_purchase : "நன்றி! வெளியேறி மற்றும் விண்ணப்பத்தை திறக்க செய்யவும்",
			pur_rest_succ : "உங்கள் கொள்முதல் திரும்ப வந்திருக்கிறது",
			pur_rest_fail : "முடிந்தது . நீங்கள் விண்ணப்பம் வாங்கவில்லை.",
			restore_purchase : "கொள்முதல் மீட்கப்பட்டது",
			get_full_ver : "முழு பதிப்பும் கிடைக்கும்",
			remove_ad : "விளம்பரத்தை அகற்று",
			languagename : "மொழி",
		});
		transProvider.preferredLanguage("en");
		transProvider.fallbackLanguage("en");
	} catch(e) {
		log_msg(e);
	}
}

function get_language_en() {
	return 'English';
}

function get_language_ar() {
	return 'தமிழ்';
}

function get_language_name_en() {
	return 'English';
}

function get_language_name_ar() {
	return 'தமிழ்';
}

function set_globalization(trans) {
	try {
		translate_object = trans;
		var lan = get_current_language_key();
		if (is_empty(lan)) {
			if ( typeof navigator.globalization !== "undefined") {
				navigator.globalization.getPreferredLanguage(function(language) {
					translate_object.use((language.value).split("-")[0]).then(function(data) {
						console.log("SUCCESS -> " + data);
					}, function(error) {
						console.log("ERROR -> " + error);
					});
				}, null);
			}
		} else {
			translate_object.use(lan).then(function(data) {
				console.log("SUCCESS -> " + data);
			}, function(error) {
				console.log("ERROR -> " + error);
			});
		}
	} catch(e) {
		log_msg(e);
	}
}

function change_current_langauge(scope) {
	var curr_lan = get_current_language_key();
	if (curr_lan == 'en') {
		set_current_language_key('ar');
	} else {
		set_current_language_key('en');
	}
	set_current_langauge(scope);
	//set_current_airport(scope);
}

function set_current_langauge(scope) {
	if (get_current_language_key() == "ar") {
		scope.appData.is_right = true;
		scope.appData.next_language_name = get_language_en();
	} else {
		scope.appData.is_right = false;
		scope.appData.next_language_name = get_language_ar();
	}
}

function get_current_language_key() {
	var currentLang1 = get_data_real('curr_language');
	if (is_empty(currentLang1))
		currentLang1 = 'ar';
	return currentLang1;
}

function set_current_language_key(language_key) {
	translate_object.use(language_key);
	set_data_real('curr_language', language_key);
}

function get_key(val) {
	return translate_object.instant(val);
}
