﻿//----handle notification----
var pushNotification;
function handleNotification() {
	try {

		pushNotification = window.plugins.pushNotification;
		if (device.platform == 'android' || device.platform == 'Android') {
			try {
				pushNotification.register(successHandler, errorHandler, {
					"senderID" : "778777626787",
					"ecb" : "onNotificationGCM1"
				});

			} catch(e111) {
				alert(e111);
			}
		} else {
			pushNotification.register(tokenHandler, errorHandler, {
				"badge" : "true",
				"sound" : "true",
				"alert" : "true",
				"ecb" : "onNotificationAPN"
			});
			//alert('111');
			//required!
		}

	} catch (err) {
		txt = "There was an error on this page.\n\n";
		txt += "Error description: " + err.message + "\n\n";
		alert(txt);
	}
}

//handle APNS notifications for iOS
function onNotificationAPN(e) {
	if (e.payload.aps.alert)
		alert_msg(e.payload.aps.alert);
	if (e.alert) {
		alert_msg(e.alert);
		if (e.foreground.toString() == '1') {

		} else {
		}
	}
	if (e.sound) {
		var snd = new Media(e.sound);
		snd.play();
	}
	if (e.badge) {
		pushNotification.setApplicationIconBadgeNumber(successHandler, e.badge);
	}
}

//save reg id
function SaveDevideDetails(regidvalue) {
	try {
		var REG_ID = regidvalue;
		var device_type = "A";
		if (device.platform.toLowerCase() == 'ios') {
			device_type = "I";
		} else if (device.platform.toLowerCase() == 'android') {
			device_type = "A";
		}
		//---
		var flag = get_data('pn_save_flag');
		if (flag == "flight_pn") {
			var my_data_keys = ["Flag", "reg_id", "device_type", "need_pn", "is_myflight", "type", "airport", "language", "flight_no", "last_date_str", "last_time_str", "last_status", "from_name_en", "from_name_ar", "to_name_en", "to_name_ar", "airline_name_en", "airline_name_ar"];
			var my_data_values = [get_data('flight_pn_Flag'), REG_ID, device_type, get_data('flight_pn_need_pn'), get_data('flight_pn_is_myflight'), get_data('flight_pn_type'), get_data('flight_pn_airport'), get_data('flight_pn_language'), get_data('flight_pn_flight_no'), get_data('flight_pn_last_date_str'), get_data('flight_pn_last_time_str'), get_data('flight_pn_last_status'), get_data('from_name_en'), get_data('from_name_ar'), get_data('to_name_en'), get_data('to_name_ar'), get_data('airline_name_en'), get_data('airline_name_ar')];
			set_data_obj("key_flight_pn", null);
			get_from_server("key_flight_pn", "SetMyFlights", my_data_keys, my_data_values, true, current_scope, current_http, true, function(data) {
				try {
					var res = decrypt(data.Return_Status);
					if (res == "Done") {
						if (current_scope.flightDetails.IsPNEnabledFlag)
							current_scope.flightDetails.IsPNEnabled = 'y';
						else
							current_scope.flightDetails.IsPNEnabled = 'n';
						if (get_data('flight_pn_Flag') == "add") {
							current_scope.flightDetails.IsAddedToMyFlight = "y";
						}
						if (get_data('flight_pn_Flag') == "remove_from_my_flights") {
							current_scope.flightDetails.IsAddedToMyFlight = "n";
							current_scope.flightDetails.IsPNEnabled = 'n';
							current_scope.flightDetails.IsPNEnabledFlag = false;   
							if (get_data("isfromMyFlights")=="Y") { 
								if (ionicHistory) {
									ionicHistory.goBack(); 
								    myflightsscope.myf_type_refresh(); 
								}
							}
						}
					} else {
						if (current_scope.flightDetails.IsPNEnabledFlag) {
							current_scope.flightDetails.IsPNEnabled = 'n';
							current_scope.flightDetails.IsPNEnabledFlag = false;
						} else {
							current_scope.flightDetails.IsPNEnabled = 'y';
							current_scope.flightDetails.IsPNEnabledFlag = true;
						}
					}
				} catch(ee) {
					alert_msg(ee);
				}
			}, function(data) {
				try {
					current_scope.flightDetails.IsPNEnabledFlag = false;
					if (is_empty(translate_object))
						alert_msg('Failed. Please try later');
					else
						alert_msg(get_key('server_error'));
				} catch(ee) {
					alert_msg(ee);
				}
			});
		} else if (flag == "boardingalert_pn") {
			var my_data_keys = ["Flag", "DeviceId", "FName", "RefNo", "FromPlace", "ToPlace", "FlightNo", "Date", "AllData", "Lang", "reg_id", "device_type"];
			var my_data_values = [get_data("Flag"), get_data("DeviceId"), get_data("FName"), get_data("RefNo"), get_data("FromPlace"), get_data("ToPlace"), get_data("FlightNo"), get_data("Date"), get_data("AllData"), get_data("Lang"), REG_ID, device_type];
			set_data_obj("key_SetBoardingAlert", null);
			get_from_server("key_SetBoardingAlert", "SetBoardingAlert", my_data_keys, my_data_values, true, current_scope, current_http, true, function(data) {
				try {
					var res = decrypt(data.Return_Status);
					if (res == "Done") {

					} else {
						current_scope.balert_setalertlist();
						alert_msg(res, ionicPopup);
					}
				} catch(ee) {
					alert_msg(ee, ionicPopup);
				}
			}, function(data) {
				try {
					if (is_empty(translate_object))
						alert_msg('Failed. Please try later', ionicPopup);
					else
						alert_msg(get_key('server_error'), ionicPopup);
				} catch(ee) {
					alert_msg(ee, ionicPopup);
				}
			});

		}
	} catch (e) {
		alert(e.Message);
	} finally {
	}
}

// handle GCM notifications for Android
function onNotificationGCM1(e) {
	//	$("#app-status-ul").append('<li>EVENT -> RECEIVED:' + e.event + '</li>');
	//	alert("aaaa");
	switch (e.event) {
	case 'registered':
		if (e.regid.length > 0) {
			//$("#app-status-ul").append('<li>REGISTERED -> REGID:' + e.regid + "</li>");
			// Your GCM push server needs to know the regID before it can push to this device
			// here is where you might want to send it the regID for later use.
			// console.log("regID = " + e.regid);

			SaveDevideDetails(e.regid);
			//alert_msg("regid = " + e.regid);
		}
		break;
	case 'message':
		if (e.foreground) {
			//alert_with_tiltle('You have a new request!', e.payload.message, 'OK');
		} else {
			if (e.coldstart) {

			} else {

			}
		}
		// if this flag is set, this notification happened while we were in the foreground.
		// you might want to play a sound to get the user's attention, throw up a dialog, etc.
		navigator.notification.vibrate(1000);
		if (e.foreground) {

			//	$("#app-status-ul").append('<li>--INLINE NOTIFICATION--' + '</li>');

			// if the notification contains a soundname, play it.
			var my_media = new Media("/android_asset/www/" + e.soundname);
			my_media.play();
		} else {// otherwise we were launched because the user touched a notification in the notification tray.
			if (e.coldstart) {

				//$("#app-status-ul").append('<li>--COLDSTART NOTIFICATION--' + '</li>');
			} else {
				//	alert('3');
				//	$("#app-status-ul").append('<li>--BACKGROUND NOTIFICATION--' + '</li>');
			}
		}
		//	$("#app-status-ul").append('<li>MESSAGE -> MSG: ' + e.payload.message + '</li>');
		//$("#app-status-ul").append('<li>MESSAGE -> MSGCNT: ' + e.payload.msgcnt + '</li>');
		alert_msg(e.payload.message);
		break;
	case 'error':
		//$("#app-status-ul").append('<li>ERROR -> MSG:' + e.msg + '</li>');
		//	log_msg('error1:' + e.msg);
		///	alert_msg(get_key("server_error"));
		if (current_scope.flightDetails) {
			//alert_msg(get_key("failed_pn"));
			//current_scope.flightDetails.IsPNEnabledFlag = !current_scope.flightDetails.IsPNEnabledFlag;
		}
		break;
	default:
		alert('Unknown, an event was received and we do not know what it is');
		///$("#app-status-ul").append('<li>EVENT -> Unknown, an event was received and we do not know what it is</li>');
		break;
	}
}

function tokenHandler(result) {
	//alert(result);
	SaveDevideDetails(result);
}

function successHandler(result) {
	//alert('success:' + result);
	// SaveDevideDetails(result);
	//$("#app-status-ul").append('<li>success:' + result + '</li>');
}

function errorHandler(error) {
	if (current_scope.flightDetails) {
		//	alert_msg(get_key("failed_pn"));
		//current_scope.flightDetails.IsPNEnabledFlag = !current_scope.flightDetails.IsPNEnabledFlag;
	}
	//	alert(current_scope.flightDetails.IsPNEnabled);
	//	current_scope.flightDetails.IsPNEnabled = 'n';
	//	current_scope.flightDetails.IsPNEnabledFlag = false;

	//log_msg('error2:' + error);
	//log_data('error:' + error);
	//$("#app-status-ul").append('<li>error:' + error + '</li>');
}

///---------------------------