function start_promote() {
	try {
		var appstartcount_str = get_data_real("appstart");
		var appstartcount_int = 0;
		if (!is_empty(appstartcount_str))
			appstartcount_int = parseInt(appstartcount_str);
		appstartcount_int++;
		set_data_real("appstart", appstartcount_int.toString());

	} catch(e) {
		log_msg(e);
	}
}

function parseindfn(val) {
	if (val == "08" || val == "09")
		return parseInt(val, 10);
	else
		return parseInt(val);
}

function handlenoti() {
	try {
		//return;//vintest
		var options_all = [];
		//cordova.plugins.notification.local.cancelAll();
		var nowdate = new Date();
		var gap1 = 7;
		nowdate.setDate(nowdate.getDate() + parseindfn(gap1));

		var title = 'Forgot to use ' + get_app_name() + '?';
		var msg = get_promo_text();
		var noti_id = 1;
		var id = 1;
		cordova.plugins.notification.local.cancel(noti_id, function() {
		});
		var this_option = {
			id : noti_id,
			at : nowdate,
			title : title,
			text : msg,
			data : {
				contid : id,
				keyval : 'app_reminder',
				notimsg : msg
			}
		};
		options_all.push(this_option);
		if (options_all.length > 0) {
			cordova.plugins.notification.local.schedule(options_all);
		}
		cordova.plugins.notification.local.on("schedule", function(notification) {

		});

	} catch(e) {
		log_msg(e);
	}
}

function showmoreapps() {
	try {
		open_browser(get_more_apps_url());
	} catch(e) {
		alert_msg(e);
	}
}

function tellafriendnow(event) {
	try {
		if (event) {
			if (device.platform.toLowerCase() == 'ios') {
				var targetRect = event.target.getBoundingClientRect(), targetBounds = targetRect.left + ',' + targetRect.top + ',' + targetRect.width + ',' + targetRect.height;
				window.plugins.socialsharing.setIPadPopupCoordinates(targetBounds);
			}
		}
		var msg = "Download the App " + get_app_name() + ": " + get_app_download_url();
		window.plugins.socialsharing.share(msg);
	} catch(e) {
		alert_msg(e);
	}
}

function rateappinstore() {
	try {
		if (device.platform.toLowerCase() == 'ios')
			open_browser(get_deep_url_ios());
		else
			open_browser(get_deep_url_android());
	} catch(e) {
		alert_msg(e);
	}
}

function handle_promote(ionicPopup) {
	try {
		var appstart = get_data_real("appstart");
		var appstartcount_int = 0;
		if (!is_empty(appstart))
			appstartcount_int = parseInt(appstart);
		var lastask = get_data_real("lastask");
		//TELL
		if (appstartcount_int > 3 && appstartcount_int < 6 && lastask != "tell" && get_data_real("isdone_tellafriend") != "Y") {
			var msg = get_key("tell_your_friend");
			var confirmPopup = ionicPopup.confirm({
				title : get_key('tell_a_friend_title'),
				template : msg,
				cancelText : get_key("not_now"),
				okText : get_key("tell")
			});
			confirmPopup.then(function(res) {
				set_data_real("lastask", "tell");
				if (res) {
					set_data_real("isdone_tellafriend", "Y");
					tellafriendnow(null);
				}
			});
		}

		//RATE
		if (appstartcount_int > 6 && appstartcount_int < 9 && lastask != "rate" && get_data_real("isdone_rate") != "Y") {
			var msg = get_key('rate_content');
			//if (device.platform.toLowerCase() == 'ios')
			//msg += "App Store";
			//else if (device.platform.toLowerCase() == 'android')
			//	msg += "Play Store";
			//	else
			//	msg += "Store";
			var confirmPopup = ionicPopup.confirm({
				title : get_key("rate_our_app"),
				template : msg,
				cancelText : get_key("not_now"),
				okText : get_key("rate_now")
			});
			confirmPopup.then(function(res) {
				set_data_real("lastask", "rate");
				if (res) {
					set_data_real("isdone_rate", "Y");
					rateappinstore();
				}
			});
		}

		//MORE APPS
		if (appstartcount_int > 9 && lastask != "more" && get_data_real("isdone_more") != "Y") {
			var msg = get_key('more_apps_promo');
			var confirmPopup = ionicPopup.confirm({
				title : get_key('more_apps_title_promo'),
				template : msg,
				cancelText : get_key('not_now'),
				okText : get_key('view_apps_promo')
			});
			confirmPopup.then(function(res) {
				set_data_real("appstart", "0");
				set_data_real("lastask", "more");
				if (res) {
					//set_data_real("isdone_more", "Y");
					showmoreapps();
				}
			});
		}

	} catch(e) {
		log_msg(e);
	}
}
